# Class ServerStatusDto | EchoHub Documentation

# Class ServerStatusDto

Namespace
  EchoHub.Core.DTOs

Assembly
  EchoHub.Core.dll

    public record ServerStatusDto : IEquatable<ServerStatusDto>

Inheritance
  object
  ServerStatusDto

Implements
  IEquatable<ServerStatusDto>

Inherited Members
  object.GetType()
  object.MemberwiseClone()
  object.Equals(object, object)
  object.ReferenceEquals(object, object)

## Constructors

### ServerStatusDto(ServerStatusDto)

    protected ServerStatusDto(ServerStatusDto original)

#### Parameters

`original` ServerStatusDto

### ServerStatusDto(string, string?, int, int)

    public ServerStatusDto(string Name, string? Description, int OnlineUsers, int TotalChannels)

#### Parameters

`Name` string
`Description` string
`OnlineUsers` int
`TotalChannels` int

## Properties

### Description

    public string? Description { get; init; }

#### Property Value

string

### EqualityContract

    protected virtual Type EqualityContract { get; }

#### Property Value

Type

### Name

    public string Name { get; init; }

#### Property Value

string

### OnlineUsers

    public int OnlineUsers { get; init; }

#### Property Value

int

### TotalChannels

    public int TotalChannels { get; init; }

#### Property Value

int

## Methods

### Deconstruct(out string, out string?, out int, out int)

    public void Deconstruct(out string Name, out string? Description, out int OnlineUsers, out int TotalChannels)

#### Parameters

`Name` string
`Description` string
`OnlineUsers` int
`TotalChannels` int

### Equals(ServerStatusDto?)

    public virtual bool Equals(ServerStatusDto? other)

#### Parameters

`other` ServerStatusDto

#### Returns

bool

### Equals(object?)

    public override bool Equals(object? obj)

#### Parameters

`obj` object

#### Returns

bool

### GetHashCode()

    public override int GetHashCode()

#### Returns

int

### PrintMembers(StringBuilder)

    protected virtual bool PrintMembers(StringBuilder builder)

#### Parameters

`builder` StringBuilder

#### Returns

bool

### ToString()

    public override string ToString()

#### Returns

string

## Operators

### operator ==(ServerStatusDto?, ServerStatusDto?)

    public static bool operator ==(ServerStatusDto? left, ServerStatusDto? right)

#### Parameters

`left` ServerStatusDto
`right` ServerStatusDto

#### Returns

bool

### operator !=(ServerStatusDto?, ServerStatusDto?)

    public static bool operator !=(ServerStatusDto? left, ServerStatusDto? right)

#### Parameters

`left` ServerStatusDto
`right` ServerStatusDto

#### Returns

bool